name: unicblue/text-media
typeName: unicblue_textmedia
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: subheader
    useExistingField: true
  -
    identifier: bodytext
    useExistingField: true
    enableRichtext: true
  -
    identifier: header_link
    useExistingField: true
  -
    identifier: link_title
    type: Text
  -
    identifier: tab_layout
    type: Tab
    label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:tab.layout
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: layout_position
    type: Select
    translatable: false
    renderType: selectSingle
    default: left
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_position.items.left
        value: left
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_position.items.right
        value: right
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_position.items.one_column_image_first
        value: one-column-image-first
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_position.items.one_column_text_first
        value: one-column-text-first
  -
    identifier: layout_columns
    type: Select
    translatable: false
    renderType: selectSingle
    displayCond: 'FIELD:unicblue_textmedia_layout_position:IN:left,right'
    default: 50-50
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.50_50
        value: 50-50
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.25_75
        value: 25-75
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.75_25
        value: 75-25
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.33_67
        value: 33-67
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.67_33
        value: 67-33
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.60_40
        value: 60-40
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_columns.items.40_60
        value: 40-60
  -
    identifier: one_column_max_width
    type: Select
    label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:one_column_max_width.label
    description: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:one_column_max_width.description
    translatable: false
    renderType: selectSingle
    displayCond: 'FIELD:unicblue_textmedia_layout_position:IN:one-column-image-first,one-column-text-first'
    default: ''
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:one_column_max_width.items.default
        value: ''
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:one_column_max_width.items.max_640
        value: 'l-section--content-max-640'
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:one_column_max_width.items.max_960
        value: 'l-section--content-max-960'
  -
    identifier: vertical_align
    type: Select
    translatable: false
    renderType: selectSingle
    displayCond: 'FIELD:unicblue_textmedia_layout_position:IN:left,right,one-column-image-first,one-column-text-first'
    default: center
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:vertical_align.items.top
        value: top
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:vertical_align.items.center
        value: center
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:vertical_align.items.bottom
        value: bottom
  -
    identifier: layout_order_max_xl
    type: Select
    label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_order_max_xl.label
    description: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_order_max_xl.description
    translatable: false
    renderType: selectSingle
    displayCond: 'FIELD:unicblue_textmedia_layout_position:IN:left,right'
    default: media-first
    items:
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_order_max_xl.items.auto
        value: auto
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_order_max_xl.items.text_first
        value: text-first
      -
        label: LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:layout_order_max_xl.items.media_first
        value: media-first
  -
    identifier: col_gap
    type: Select
    translatable: false
    renderType: selectSingle
    displayCond: 'FIELD:unicblue_textmedia_layout_position:IN:left,right'
    default: col-gap-md
    items:
      -
        label: 'LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:col_gap.items.sm'
        value: 'col-gap-sm'
      -
        label: 'LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:col_gap.items.md'
        value: 'col-gap-md'
      -
        label: 'LLL:EXT:hks/ContentBlocks/ContentElements/text-media/language/labels.xlf:col_gap.items.lg'
        value: 'col-gap-lg'
  -
    identifier: spacing_palette
    type: Palette
    fields:
      -
        identifier: tx_hks_spacing_top
        type: Select
        useExistingField: true
      -
        identifier: tx_hks_spacing_bottom
        type: Select
        useExistingField: true
  -
    identifier: tab_media
    type: Tab
    label: LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:media
  -
    identifier: image_stretch
    type: Checkbox
    default: 1
  -
    identifier: image
    useExistingField: true
